@charset "UTF-8";
/* css for chrismuzilladotcom */


html, body {
  margin: 0;
  padding: 0;
  height: 100%;
}



body {
  min-height: 100vh;
  background-image: url("../img/bg-boston.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  min-height: 100dvh;
  display: grid;
  grid-template-rows: 1fr auto; 
}



h1 {font-family: "inter-variable", sans-serif;
	font-variation-settings: "slnt" 0, "wght" 600;
	color:#000;
	font-size:60px;
	margin:0px 0 0 0;
}


h2 {
	font-family: "IBM Plex Mono", monospace;
	font-weight: 400;
	font-style: normal;
	color:#c9ced6;
	margin:0 0 0 0;
	display: flex;
  	align-items: center;
  	gap: 2px;
  	line-height: 1em;
  height: 1em;
  white-space: nowrap;
	overflow: visible;
	font-weight: 400;
  font-size: 22px;
  background: #000;
  color: #fff; 
  padding: 6px 10px; 
  border-radius: 4px; 
  white-space: nowrap;
  overflow: visible;

  line-height: 1em;
  height: 1em;
  display: inline-flex;
  align-items: center;
}


@keyframes cursor-blink {
  0% {
    opacity: 0;
  }
}

h2::after {
  content: "";
  width: 10px;
  height: 40px;
  background: #c9ced6;
  background: #fff;
  display: inline-block;
  animation: cursor-blink 1.5s steps(2) infinite;
}


a:link,
a:visited {
  color: #0000EE;
  text-decoration: underline;
}
a:hover {color:#000;}


.page {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

#main {
	position: fixed;
 	left: 50%;
  	top: 50%;
  	-webkit-transform: translate(-50%, -50%);
  	transform: translate(-50%, -50%);
  width: 24rem; 	
  flex: 1; 
}



#footer {
  margin-top: auto;
  text-align: center;
  padding: 16px;
  font-size:9px;
  font-family: Arial, Helvetica, sans-serif;
  color:#d3d3d3;
}

#footer a,a:hover {
  color:#d3d3d3;
  text-decoration: none;
}


@media only screen and (max-device-width: 480px) {
  
  #main {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 22rem; 
  overflow: visible; 
}
	h1 {font-size:31px; margin:0 0 0 0;}	
	h2 {font-size: 18px;}

 body {
  background-color: #fff;
  background-image: none!important;
} 

#footer {
  padding-bottom: calc(16px + env(safe-area-inset-bottom));
}


/*  end mobile query  */	
}